### Enumeration

# Soup ServerListenOptions

#### Declaration

    flags Soup.ServerListenOptions

#### Description [src]

Options to pass to `soup_server_listen()`, etc.

`SOUP_SERVER_LISTEN_IPV4_ONLY` and `SOUP_SERVER_LISTEN_IPV6_ONLY` only make sense with `soup_server_listen_all()` and `soup_server_listen_local()`, not plain `soup_server_listen()` (which simply listens on whatever kind of socket you give it). And you cannot specify both of them in a single call.

#### Members

Name | Description
--- | ---
`SOUP_SERVER_LISTEN_HTTPS` | Listen for https connections rather than plain http.
`SOUP_SERVER_LISTEN_IPV4_ONLY` | Only listen on IPv4 interfaces.
`SOUP_SERVER_LISTEN_IPV6_ONLY` | Only listen on IPv6 interfaces.